Reference/Publis des algorithmes dans la doc c++/python de MorphM
12/01/2008 10:11 AM - Serge Koudoro

Status: Nouveau Start date: 09/25/2007
Priority: Bas Due date:

Assignee: % Done: 0%
Category: old plone Bugs Estimated time: 0.00 hour
Target version:

Description
Reference/Publis des algorithmes dans la doc c++/python de MorphM,

Description:

Bonjour

Ce post fait suite a un trés judieuce remarque de notre nouveau post doc

Romaric.

Qui indique a juste titre que la documentation des algos de MorphM ne vient pas
toujours avec une citation/Ref de la publication/Note Interne de

I'implémentation sous jacente.

Cette documentation a été partiellement réalisé pour l'interface c++ mais pas
forcément répercuté dans le code python.

De plus (et malheureusement) la doc python de nombreux modules se limite trop
souvent a Help(NomDeMaFonction)-> NomDeMaFonction ce qui n'est pas trés
informatif pour un utilisateur lambda.

Notons que si un peu de monde s'y met cela peut étre rapidement corrigé.....

Notons également que moi comme thibault, n'avons pas (en plus de maintenir tous

le code, les compils nocturnes, les pbs de chacun, une partit des ateliers,

...)de temps a consacrer a ce genre de choses.

Je vous invite d'ailleurs a voir les excellentes Doc des addons de Thibault pour

voir que oui en python on peut faire de la doc qui tient la route:
http://rhodes.ensmp.fr/morphee_doc/all_python/module MorpheelnpaintingPython.htm
|

#1 25/09/2007 16:45 (Thomas)

Change: status: "pending" -> "accepted"”

Change: assignees: "[]" -> "['ali', 'faessel', 'morphmdeVv', 'noyelT"

Change: topic: " -> "UI"

Change: solution: "" -> "Ben faut juste le faire dans les bouts de codes quand on se balade dedans et commité....

Faudrait aussi le faire dans les users si ils sont amanés a servir a quelqu'un d'autres que la personne qui a écrit le code. Car tout
code non documenté va invariablement au bout de quelques heures d'énervement a la corbeille. Les plus anciens ce rappeleront des
codes de Lothar Bergen que personne n'a jamais pu réutiliser.

"

Change: importance: "medium" -> "low"

Change: title: "" -> "Reference/Publis des algorithmes dans la doc c++/python de MorphM"
Change: classification: "Bug" —-> "Documentation"

Change: description: "" -> "Bonjour

Ce post fait suite a un trés judieuce remarque de notre nouveau post doc Romaric.

Qui indique a juste titre que la documentation des algos de MorphM ne vient pas toujours avec une citation/Ref de la
publication/Note Interne de I'implémentation sous jacente.

Cette documentation a été partiellement réalisé pour l'interface c++ mais pas forcément répercuté dans le code python.
De plus (et malheureusement) la doc python de nombreux modules se limite trop souvent a Help(NomDeMaFonction)->
NomDeMaFonction ce qui n'est pas trés informatif pour un utilisateur lambda.

Notons que si un peu de monde s'y met cela peut étre rapidement corrigé.....
http://rhodes.ensmp.fr/morphee_doc/all_python/module_MorpheeInpaintingPython.htm

Notons également que moi comme thibault, n'avons pas (en plus de maintenir tous le code, les compils nocturnes, les pbs de
chacun, une partit des ateliers, ...)de temps a consacrer a ce genre de choses.

Je vous invite d'ailleurs a voir les excellentes Doc des addons de Thibault pour voir que oui en python on peut faire de la doc qui tient
la route:

http://rhodes.ensmp.fr/morphee_doc/all_python/module_MorpheelnpaintingPython.html

"

History

#1 - 12/01/2008 10:13 AM - Serge Koudoro
- Category set to old plone Bugs
- Priority changed from Normal to Bas

- Start date set to 09/25/2007

#2 - 12/01/2008 10:17 AM - Serge Koudoro

- Tracker changed from Anomalie to Evolution
